Bug 166363 - cciss disk dump hangs if module is ever unloaded/reloaded
Summary: cciss disk dump hangs if module is ever unloaded/reloaded
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168424
TreeView+ depends on / blocked
 
Reported: 2005-08-19 19:32 UTC by Tom Coughlan
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 16:26:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the patch (1.88 KB, patch)
2005-08-19 19:32 UTC, Tom Coughlan
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description Tom Coughlan 2005-08-19 19:32:46 UTC
While debugging the last cciss disk dump problem I experienced a new problem:

service diskdump start
rmmod cciss
insmod cciss
echo c > /proc/sysrq-trigger
The systems gets to "start dumping" and hangs, with no dump created.

The pointers that are set up in diskdump/block_dump are no longer
valid when cciss is unloaded and then reloaded. The solution is to prevent the
cciss driver from being unloaded if it is being used by disk dump. This is
already done correctly in scsi_dump.

I tested this patch (as did HP). I confirmed the cciss usage count is
incremented when diskdump is started/stopped. The cciss module can not be
unloaded while the diskdump service is active on the cciss device. Dumps work as
expected.

This code is similar to what is in scsi_dump.c. An ACK from people familiar with
that code would be particularly helpful.

It would be reasonable to put this is U6, since the risk is low, and it is a fix
for functionality committed in U6. If it does not make it, then we will have to
release note the problem, and fix it in U7.

Comment 1 Tom Coughlan 2005-08-19 19:32:47 UTC
Created attachment 117924 [details]
the patch

Comment 4 Ernie Petrides 2005-09-13 03:27:03 UTC
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.1.EL).


Comment 7 Red Hat Bugzilla 2006-03-15 16:26:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.